# Created by pyp2rpm-3.3.2
%global pypi_name snow

Name:           python-%{pypi_name}
Version:        0.1.0
Release:        1%{?dist}
Summary:        Python library for ServiceNow

License:        None
URL:            https://github.com/rbw/snow
Source0:        https://files.pythonhosted.org/packages/source/s/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch
 
BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

%description
Snow: Python library for ServiceNow [![image]( [![image]( [![image]( [![image](
Snow is a simple and lightweight yet powerful and extensible library for
interacting with ServiceNow. It works with modern versions of Python and
utilizes [asyncio](

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}
 
Requires:       python3dist(aiohttp) < 4.0.0
Requires:       python3dist(aiohttp) >= 3.6.2
Requires:       python3dist(marshmallow) < 4.0.0
Requires:       python3dist(marshmallow) >= 3.2.2
Requires:       python3dist(ujson) < 2.0
Requires:       python3dist(ujson) >= 1.35
%description -n python3-%{pypi_name}
Snow: Python library for ServiceNow [![image]( [![image]( [![image]( [![image](
Snow is a simple and lightweight yet powerful and extensible library for
interacting with ServiceNow. It works with modern versions of Python and
utilizes [asyncio](


%prep
%autosetup -n %{pypi_name}-%{version}

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.md
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info

%changelog
* Mon Mar 02 2020 mockbuilder - 0.1.0-1
- Initial package.